Bug 236643 - net/py-libdnet: Fix build with both python 2 and 3
Summary: net/py-libdnet: Fix build with both python 2 and 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on: 236642
Blocks: 230110
  Show dependency treegraph
 
Reported: 2019-03-19 19:25 UTC by Muhammad Moinur Rahman
Modified: 2019-04-07 05:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (onatan)


Attachments
Update version 1.12 => 1.13 (1.17 KB, patch)
2019-03-19 19:25 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2019-03-19 19:25:12 UTC
Created attachment 202986 [details]
Update version 1.12 => 1.13

I have reviewed the code of net/libdnet. And created a fork as the development seems stalled by the original author.
- Removed all the codes not related to FreeBSD
- Fix configure script to find related header files and now it builds relevant source files instead of *-none.c files
- Modernized all build tools configuration file and removed unnecessary files
- Works at least with PF. Still not working with ipfw2/ipfilter.
- Python package now supports both Python 2 and 3

The repo location is:
https://github.com/5u623l20/libdnet/

N.B: As I am maintaining the primary codebase I would like to takeover the maintainership.
Comment 1 commit-hook freebsd_committer 2019-04-05 22:34:18 UTC
A commit references this bug:

Author: bofh
Date: Fri Apr  5 22:33:16 UTC 2019
New revision: 497997
URL: https://svnweb.freebsd.org/changeset/ports/497997

Log:
  net/py-libdnet: Fix build with both python 2 and 3

  I have reviewed the code of net/libdnet. And created a fork as the
  evelopment seems stalled by the original author.
  - Removed all the codes not related to FreeBSD
  - Fix configure script to find related header files and now it builds
    relevant source files instead of *-none.c files
  - Modernized all build tools configuration file and removed unnecessary
    files
  - Works at least with PF. Still not working with ipfw2/ipfilter.
  - Python package now supports both Python 2 and 3

  The repo location is:
  https://github.com/5u623l20/libdnet/

  PR:		236643
  Submitted by:	bofh
  Approved by:	maintainer-timeout

Changes:
  head/net/py-libdnet/Makefile
  head/net/py-libdnet/pkg-descr
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-07 05:09:48 UTC
Assign to committer that resolved